#ifndef _ANSI_COL_H
#define _ANSI_COL_H 1

#ifndef _WIN32
#define ANSI_NORM "\E[0m"
#define ANSI_BOLD "\E[1m"
#define ANSI_BLINK "\E[5m"
#define ANSI_REV "\E[7m"
#define ANSI_BLACK "\E[30;1m"
#define ANSI_RED "\E[31;1m"
#define ANSI_GREEN "\E[32;1m"
#define ANSI_YELLOW "\E[33;1m"
#define ANSI_BLUE "\E[34;1m"
#define ANSI_MAGENTA "\E[35;1m"
#define ANSI_CYAN "\E[36;1m"
#define ANSI_WHITE "\E[37;1m"
#define ANSI_DEFAULT "\E[39;1m"
#define ANSI_BGR_BLACK "\E[40;1m"
#define ANSI_BGR_RED "\E[41;1m"
#define ANSI_BGR_GREEN "\E[42;1m"
#define ANSI_BGR_YELLOW "\E[43;1m"
#define ANSI_BGR_BLUE "\E[44;1m"
#define ANSI_BGR_MAGENTA "\E[45;1m"
#define ANSI_BGR_CYAN "\E[46;1m"
#define ANSI_BGR_WHITE "\E[47;1m"
#define ANSI_BGR_DEFAULT "\E[49;1m"

#define XTERM_CLEAR "\E[H\E[2J"
#else
#define ANSI_NORM ""
#define ANSI_BOLD ""
#define ANSI_BLINK ""
#define ANSI_REV ""
#define ANSI_BLACK ""
#define ANSI_RED ""
#define ANSI_GREEN ""
#define ANSI_YELLOW ""
#define ANSI_BLUE ""
#define ANSI_MAGENTA ""
#define ANSI_CYAN ""
#define ANSI_WHITE ""
#define ANSI_DEFAULT ""
#define ANSI_BGR_BLACK ""
#define ANSI_BGR_RED ""
#define ANSI_BGR_GREEN ""
#define ANSI_BGR_YELLOW ""
#define ANSI_BGR_BLUE ""
#define ANSI_BGR_MAGENTA ""
#define ANSI_BGR_CYAN ""
#define ANSI_BGR_WHITE ""
#define ANSI_BGR_DEFAULT ""

#define XTERM_CLEAR "\E[H\E[2J"
#endif

#endif /* _ANSI_COL_H */
