#ifndef BitVect_h
#define BitVect_h

#include <vector>
#include <deque>
#include <string>
#include <iosfwd>

namespace mlink {

    std::ostream &operator<< (std::ostream & os, const std::vector<bool> &r);
    std::ostream &operator<< (std::ostream & os, const std::vector<int> &r);

    class BitVect: public std::vector<bool>
    {
    public:
        BitVect() { }
        BitVect(size_t bitCount, const std::string &s);
        void push_back(bool b) { std::vector<bool>::push_back(b); }
        //  void push_back(bool b) { std::deque<bool>::push_back(b); }
        //  void push_front(bool b) { std::deque<bool>::push_front(b); }
        void push_back(const BitVect &);
        //  void push_front(const BitVect &);
        void print() const;
        void test();
        void testOperatorPlus();
        void testOperatorAnd();
        BitVect operator&(const BitVect&) const;
    };

    //std::ostream &operator<< (std::ostream & os, const BitVect &r);
};

#endif /* BitVect_h */
